Name:           maven-pmd-plugin
Version:        2.7.1
Release:        %mkrel 2
Summary:        Maven PMD Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-pmd-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires: pmd
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: maven
BuildRequires: maven-plugin-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-archiver
BuildRequires: plexus-archiver
BuildRequires: apache-commons-lang
BuildRequires: plexus-resources
BuildRequires: plexus-utils
BuildRequires: junit
Requires: maven
Requires: plexus-utils
Requires: maven-plugin-testing-harness
Requires: pmd
Requires: junit
Requires:       jpackage-utils
Requires:       java

Provides:       maven2-plugin-pmd = %{version}-%{release}
Obsoletes:      maven2-plugin-pmd <= 0:2.0.8

%description
A Maven plugin for the PMD toolkit, that produces a report on both code rule 
violations and detected copy and paste fragments, as well as being able to 
fail the build based on these metrics.

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q 

%build
mvn-rpmbuild \
        -Dmaven.test.failure.ignore=true \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.7.1-2.mga3
+ Revision: 359739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 09 2012 dmorgan <dmorgan> 2.7.1-1.mga3
+ Revision: 268945
- New version 2.7.1

* Fri Jan 06 2012 dmorgan <dmorgan> 2.6-2.mga2
+ Revision: 192643
- Remove useless (build)requires
- Add buildrequire
- Add maven-site-plugin as buildrequire
- Adapt to build with maven 3.x

  + gil <gil>
    - update to 2.6

* Tue Jul 19 2011 dmorgan <dmorgan> 2.5-4.mga2
+ Revision: 126658
- Fix %%install
- Update to current guidelines.
- Use upstream source.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.5-3.mga1
+ Revision: 92718
- Rebuild after bootstrapping
- imported package maven-pmd-plugin

